Update a Knowledge Connector - Cognigy Documentation
Update a Knowledge Connector
PATCH /v2.0/knowledgestores/{knowledgeStoreId}/connectors/{connectorId}
Try it
cURL
curl --request PATCH \
--url https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/connectors/{connectorId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"config": {},
"name": "My Knowledge Connector",
"schedule": {
"enabled": true,
"hour": 1,
"minute": 1,
"weekDays": [
0,
3
]
}
}
'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/connectors/{connectorId}"
payload = {
"config": {},
"name": "My Knowledge Connector",
"schedule": {
"enabled": True,
"hour": 1,
"minute": 1,
"weekDays": [0, 3]
}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
config: {},
name: 'My Knowledge Connector',
schedule: {enabled: true, hour: 1, minute: 1, weekDays: [0, 3]}
})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/connectors/{connectorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/connectors/{connectorId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'config' => [
],
'name' => 'My Knowledge Connector',
'schedule' => [
'enabled' => true,
'hour' => 1,
'minute' => 1,
'weekDays' => [
0,
3
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/connectors/{connectorId}"
payload := strings.NewReader("{\n \"config\": {},\n \"name\": \"My Knowledge Connector\",\n \"schedule\": {\n \"enabled\": true,\n \"hour\": 1,\n \"minute\": 1,\n \"weekDays\": [\n 0,\n 3\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Error Responses
400 Bad Request
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
401 Unauthorized
{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
Authorizations
| Parameter |
Location |
Type |
Required |
Description |
| X-API-Key |
Header |
string |
required |
Supply the API Key in the HTTP-Header |
Headers
| Parameter |
Type |
Description |
| Accept |
enum |
The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json. |
Path Parameters
| Parameter |
Type |
Required |
Description |
| knowledgeStoreId |
string |
required |
The Id of the KnowledgeStore |
| connectorId |
string |
required |
The Id of the KnowledgeConnector |
Body
required: application/json
| Parameter |
Type |
Description |
| config |
object |
The configuration of the KnowledgeConnector |
| name |
string |
The name of the KnowledgeConnector |
| schedule |
object |
Schedule settings for the KnowledgeConnector |
Response
204: Successfully updated knowledge connector